org.apache.cassandra.cache

## Class CacheKey.PathInfo

- java.lang.Object
- - org.apache.cassandra.cache.CacheKey.PathInfo

Enclosing interface:
  CacheKey

    public static class CacheKey.PathInfo
    extends java.lang.Object

### Field Summary

Fields
`java.util.UUID` `cfId`
`java.lang.String` `columnFamily`
`java.lang.String` `keyspace`

### Constructor Summary

Constructors
Constructor and Description
`CacheKey.PathInfo(java.lang.String keyspace, java.lang.String columnFamily, java.util.UUID cfId)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keyspace

    public final java.lang.String keyspace

#### columnFamily

    public final java.lang.String columnFamily

#### cfId

    public final java.util.UUID cfId

### Constructor Detail

#### CacheKey.PathInfo

    public CacheKey.PathInfo(java.lang.String keyspace,
                     java.lang.String columnFamily,
                     java.util.UUID cfId)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`